Attempting to install mod_security 2.5.7 on CentOS 5.2 x86_64.

 

Not available via yum from main CentOS repo or CentOS extras.

No binary (rpm) available at www.modsecurity.org for CentOS.

Therefore installing from source using the distribution file

modsecurity-apache_2.5.7.tar.gz

 

I made it past the config stage by installing all required packages.

Now make is failing because the loader can’t find the library ‘z’.

Can anyone tell me what the library ‘z’ is?

 

/usr/bin/ld: skipping incompatible /usr/lib/libz.so when searching for -lz

/usr/bin/ld: skipping incompatible /usr/lib/libz.a when searching for -lz

/usr/bin/ld: cannot find -lz

collect2: ld returned 1 exit status

apxs:Error: Command failed with rc=65536

.

make: *** [mod_security2.la] Error 1

 

Thanks!